httpd-modules-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "karim Bendadda" <kakib...@gmail.com>
Subject Re: Have you tried to compile mod_auth_ldap??
Date Tue, 23 Oct 2007 14:24:06 GMT
Yes I m using apache 2.2.6. I'm trying to use the mod_authnz_ldap module but
I have already installed the apache and I want to compile manually the
mod_authnz_ldap (or the mod_auth_ldap_apache2) without recompiling apache. I
want to make some changes on the source code of the module and load it as a
dynamic module. My problème is I don't now how to compile it manually .



2007/10/23, Joe Lewis <joe@joe-lewis.com>:
>
> Are you using apache 2.2?
>
> karim Bendadda wrote:
> > I m sorry I have made a mistake It's the Apache 2.0.x module that I
> > have tried to compile not the one I have refered in my first mail.
> > It's the mod_auth_ldap_apache2  that causes me  compilations problems.
> >
> >
> >
> > 2007/10/23, Joe Lewis <joe@joe-lewis.com <mailto:joe@joe-lewis.com>>:
> >
> >     You do realize that a section on that website said :
> >
> >     [quote]
> >     *-NOTICE-*
> >
> >     If you are looking for the module for *Apache 2.0.x*, please visit
> the
> >     page mod_auth_ldap_apache2.html
> >     <
> >
> http://www.muquit.com/muquit/software/mod_auth_ldap/mod_auth_ldap_apache2.html
> >.
> >     The module for Apache 2.0.x has many more features, however, I plan
> to
> >     put all the features back to the module for Apache 1.3.x as time
> >     permits.
> >     [/quote]
> >
> >     You may want to try downloading a different (more recent) version.
> >
> >     Joe
> >
> >     karim Bendadda wrote:
> >     > I see that's why id doesn't work...
> >     >
> >     > muquit.com <http://muquit.com> is the website where I found the
> >     mod_auth_ldap... It explains how
> >     > to install it and how it works
> >     >
> >     > I will try to install the new module. But how can I compile it
> >     without
> >     > recompiling the Apache sources??
> >     >
> >     > Thanks for your  answering so fast.
> >     >
> >     > 2007/10/23, Nick Kew <nick@webthing.com <mailto:nick@webthing.com
> >>:
> >     >
> >     >> On Tue, 23 Oct 2007 15:29:16 +0200
> >     >> "karim Bendadda" < kakibend@gmail.com
> >     <mailto:kakibend@gmail.com>> wrote:
> >     >>
> >     >>
> >     >>> Hi everybody,
> >     >>>
> >     >>>     I'm trying to make the mod_auth_ldap.c (
> >     >>>
> >     >> That'll be with apache 2.0, I presume?  The 2.2 version is
> >     >> mod_authnz_ldap.
> >     >>
> >     >>
> >     >>>
> >
> http://www.muquit.com/muquit/software/mod_auth_ldap/mod_auth_ldap.html).
> >     >>>
> >     >> Who or what is muquit.com <http://muquit.com>?
> >     >>
> >     >>
> >     >>> I installed the openldap but I have the same error when doying
> >     the
> >     >>> make (I think the compilation is ok), Have you any idea???
> >     >>>
> >     >>> debian:/usr/local/modauthldap_apache2# make
> >     >>> /usr/local/apache2/bin/apxs -c -DHAVE_SOCKET=1 -DHAVE_HTONL=1
> >     >>> -DHAVE_GETHOSTNAME=1 -DHAVE_GETHOSTBYADDR=1
> >     >>> -DHAVE_YP_GET_DEFAULT_DOMAIN=1 -DHAVE_LIBNSL=1
> -DHAVE_RES_SEARCH=1
> >     >>> -DHAVE_LIBRESOLV=1 -DHAVE_INET_ATON=1 -DHAVE_DN_SKIPNAME=1
> >     >>> -DHAVE_NSLDAP=1 -DHAVE_LDAP=1 -DHAVE_SSL=1
> >     >>> -I/usr/local/iplanet/include
> >     >>> mod_auth_ldap.c /usr/local/apache2/build/libtool --silent
> >     >>> --mode=compile gcc -prefer-pic -DLINUX=2 -D_REENTRANT
> >     -D_GNU_SOURCE
> >     >>> -D_LARGEFILE64_SOURCE -g -O2 -pthread
> -I/usr/local/apache2/include
> >     >>> -I/usr/local/apache2/include -I/usr/local/apache2/include
> >     >>> -I/usr/local/iplanet/include -DHAVE_SOCKET=1 -DHAVE_HTONL=1
> >     >>> -DHAVE_GETHOSTNAME=1 -DHAVE_GETHOSTBYADDR=1
> >     >>> -DHAVE_YP_GET_DEFAULT_DOMAIN=1 -DHAVE_LIBNSL=1
> -DHAVE_RES_SEARCH=1
> >     >>> -DHAVE_LIBRESOLV=1 -DHAVE_INET_ATON=1 -DHAVE_DN_SKIPNAME=1
> >     >>> -DHAVE_NSLDAP=1 -DHAVE_LDAP=1 -DHAVE_SSL=1  -c -o
> mod_auth_ldap.lo
> >     >>> mod_auth_ldap.c && touch mod_auth_ldap.slo
> mod_auth_ldap.c:61:24:
> >     >>> error: apr_compat.h: No such file or directory
> >     mod_auth_ldap.c: In
> >     >>>
> >     >> apr_compat was deprecated in 2.0 and removed in 2.2.  Looks like
> a
> >     >> module written for Apache 1.x.
> >     >>
> >     >> --
> >     >> Nick Kew
> >     >>
> >     >> Application Development with Apache - the Apache Modules Book
> >     >> http://www.apachetutor.org/
> >     >>
> >     >>
> >     >
> >     >
> >     >
> >     >
> >
> >
> >     --
> >     Joseph Lewis <http://sharktooth.org/ <http://sharktooth.org/>>
> >     "Divide the fire, and you will sooner put it out." - Publius Syrus
> >
> >
> >
> >
> > --
> > Karim Bendadda
>
>
> --
> Joseph Lewis <http://sharktooth.org/>
> "Divide the fire, and you will sooner put it out." - Publius Syrus
>



-- 
Karim Bendadda

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message